diff -Nru t1lib-grace/T1lib/type1/paths.h t1lib-deb/T1lib/type1/paths.h
--- t1lib-grace/T1lib/type1/paths.h	1998-11-24 14:08:54.000000000 -0800
+++ t1lib-deb/T1lib/type1/paths.h	2007-12-23 07:49:42.000000000 -0800
@@ -52,11 +52,46 @@
 #define   QueryPath(p,t,B,C,D,r)       t1_QueryPath(p,t,B,C,D,r)
 #define   QueryBounds(p,S,x1,y1,x2,y2)  t1_QueryBounds(p,S,x1,y1,x2,y2)
  
+/*SHARED*/
+ 
+struct segment {
+  XOBJ_COMMON     /* xobject common data define 3-26-91 PNM             */
+  unsigned char size;   /* size of the structure                        */
+  unsigned char context;  /* index to device context                    */
+  struct segment *link; /* pointer to next structure in linked list     */
+  struct segment *last; /* pointer to last structure in list            */
+  struct fractpoint dest; /* relative ending location of path segment   */
+};
  
+#define   ISCLOSED(flag)   ((flag)&0x80)  /* subpath is closed               */
+#define   LASTCLOSED(flag) ((flag)&0x40)  /* last segment in closed subpath  */
+
+/*
+  NOTE: The ISCLOSED flag is set on the MOVETYPE segment before the
+  subpath proper; the LASTCLOSED flag is set on the last segment (LINETYPE)
+  in the subpath
+  
+  We define the ISPATHANCHOR predicate to test that a path handle
+  passed by the user is valid:
+*/
+
+#define   ISPATHANCHOR(p)  (ISPATHTYPE(p->type)&&p->last!=NULL)
+
+/*
+  For performance reasons, a user's "location" object is identical to
+  a path whose only segment is a move segment.  We define a predicate
+  to test for this case.  See also :hdref refid=location..
+*/
+
+#define   ISLOCATION(p)    ((p)->type == MOVETYPE && (p)->link == NULL)
+
+/*END SHARED*/
+
+
 struct segment *t1_Loc();     /* create a location object (or "move" segment) */
 struct segment *t1_ILoc();    /* integer argument version of same             */
 struct segment *t1_Line();    /* straight line path segment                   */
-struct segment *t1_Join();    /* join two paths or regions together           */
+struct segment *t1_Join(struct segment *,struct segment *);    /* join two paths or regions together           */
 struct segment *t1_ClosePath();  /* close a path or path set                  */
 struct conicsegment *t1_Conic();  /* conic curve path segment                 */
 struct conicsegment *t1_RoundConic();  /* ditto, specified another way        */
@@ -86,8 +121,8 @@
 #define   Hypoteneuse(dx,dy)      t1_Hypoteneuse(dx,dy)
 #define   BoxPath(S,h,w)          t1_BoxPath(S,h,w)
  
-struct segment *t1_CopyPath(); /* duplicate a path                            */
-void t1_KillPath();           /* destroy a path                               */
+struct segment *t1_CopyPath(struct segment *); /* duplicate a path                            */
+void t1_KillPath(struct segment *);           /* destroy a path                               */
 struct segment *t1_PathXform();  /* transform a path arbitrarily              */
 void t1_PathDelta();          /* calculate the ending point of a path         */
 struct segment *t1_PathSegment(); /* produce a MOVE or LINE segment           */
@@ -101,39 +136,6 @@
 #define    ConsumePath(p)    MAKECONSUME(p,KillPath(p))
 #define    UniquePath(p)     MAKEUNIQUE(p,CopyPath(p))
  
-/*END SHARED*/
-/*SHARED*/
- 
-struct segment {
-       XOBJ_COMMON     /* xobject common data define 3-26-91 PNM             */
-       unsigned char size;   /* size of the structure                        */
-       unsigned char context;  /* index to device context                    */
-       struct segment *link; /* pointer to next structure in linked list     */
-       struct segment *last; /* pointer to last structure in list            */
-       struct fractpoint dest; /* relative ending location of path segment   */
-} ;
- 
-#define   ISCLOSED(flag)   ((flag)&0x80)  /* subpath is closed               */
-#define   LASTCLOSED(flag) ((flag)&0x40)  /* last segment in closed subpath  */
- 
-/*
-NOTE: The ISCLOSED flag is set on the MOVETYPE segment before the
-subpath proper; the LASTCLOSED flag is set on the last segment (LINETYPE)
-in the subpath
- 
-We define the ISPATHANCHOR predicate to test that a path handle
-passed by the user is valid:
-*/
- 
-#define   ISPATHANCHOR(p)  (ISPATHTYPE(p->type)&&p->last!=NULL)
- 
-/*
-For performance reasons, a user's "location" object is identical to
-a path whose only segment is a move segment.  We define a predicate
-to test for this case.  See also :hdref refid=location..
-*/
- 
-#define   ISLOCATION(p)    ((p)->type == MOVETYPE && (p)->link == NULL)
  
 /*END SHARED*/
 /*SHARED*/
